"use strict";
exports.__esModule = true;
var compiled_1 = require("@xstate/compiled");
var machine = compiled_1.Machine({
    initial: 'idle',
    states: {
        idle: {
            on: {
                MAKE_FETCH: 'pending'
            }
        },
        pending: {
            invoke: {
                src: 'makeFetch',
                onDone: 'success'
            }
        },
        success: {
            entry: ['celebrate']
        }
    }
});
compiled_1.interpret(machine, {
    services: {
        makeFetch: function () {
            return Promise.resolve({
                yeah: true
            });
        }
    },
    actions: {
        celebrate: function (context, event) {
            console.log(event.data);
        }
    }
});
