"use strict";
exports.__esModule = true;
var compiled_1 = require("@xstate/compiled");
var react_1 = require("@xstate/compiled/react");
var faceMachine = compiled_1.Machine({
    type: 'parallel',
    initial: undefined,
    states: {
        eyes: {
            initial: 'open',
            states: {
                open: {
                    on: {
                        CLOSE_EYES: 'closed'
                    }
                },
                middle: {
                    initial: 'closing',
                    after: {
                        8000: [
                            {
                                cond: 'checkingIfCanGoCool',
                                target: 'open'
                            },
                        ]
                    },
                    states: {
                        closing: {},
                        somethingCool: {
                            always: 'closing'
                        }
                    }
                },
                closed: {
                    on: {
                        OPEN_EYES: 'open'
                    },
                    initial: 'awakeButPretending',
                    states: {
                        dreaming: {},
                        awakeButPretending: {
                            on: {
                                FALL_ASLEEP: 'dreaming'
                            }
                        }
                    }
                }
            }
        },
        mouth: {
            initial: 'open',
            states: {
                open: {
                    on: {
                        OPEN_MOUTH: 'closed'
                    }
                },
                closed: {
                    id: 'mouthClosed',
                    on: {
                        OPEN_MOUTH: 'open'
                    }
                }
            }
        }
    }
});
var useTrafficLightMachine = function () {
    // We use useCompiledMachine instead of
    // useMachine to avoid function overload problems
    var _a = react_1.useMachine(faceMachine, {
        guards: {
            checkingIfCanGoCool: function () {
                return false;
            }
        }
    }), state = _a[0], send = _a[1];
    return [state, send];
};
